package cn.superdesk.uniorder.dubbo.facade.sys.role;

import cn.superdesk.uniorder.common.rest.response.R;
import cn.superdesk.uniorder.dao.entity.sys.role.SysMenuOpenApi;
import cn.superdesk.uniorder.dto.param.system.role.SysMenuOpenApiParam;
import cn.superdesk.uniorder.dto.param.system.role.SysMenuOpenApiQueryCriteria;
import com.github.pagehelper.PageInfo;

import java.util.List;
import java.util.Map;

/**
 * @Description: 一级菜单-二级菜单-按钮 X 开放接口
 * @Author: linjinyu
 * @Email linjinyu@avic-s.com
 * @CreateDate: 2021-11-01 10:58:18
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021-11-01 10:58:18
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
public interface DubboSysMenuOpenApiService {

	/****************************************** extends BaseService 部分 start ******************************************/

	@Deprecated
	void addObj(SysMenuOpenApiParam param);

	@Deprecated
	void updateObj(SysMenuOpenApiParam param);

	@Deprecated
	void deleteObj(Long id);

	@Deprecated
	SysMenuOpenApi findById(Long id);

	@Deprecated
	PageInfo<SysMenuOpenApi> findByPaging(Map<String, Object> conditions, Integer pageNun, Integer pageSize);

	@Deprecated
	List<SysMenuOpenApi> findAll(Map<String, Object> queryMap);

	/****************************************** extends BaseService 部分   end ******************************************/


	void addSysMenuOpenApi(SysMenuOpenApiParam param);

	void updateSysMenuOpenApi(SysMenuOpenApiParam param);

	void deleteSysMenuOpenApi(Long id);

	SysMenuOpenApi findSysMenuOpenApiById(Long id);

	R<List<SysMenuOpenApi>> pageQuery(Map<String, Object> conditions, int pageNun, int pageSize);

	R<List<SysMenuOpenApi>> pageQueryGenericParam(SysMenuOpenApiQueryCriteria criteria);
}
